Domains
Upsert multiple domains
POST
Create or update up to 500 domain entries at once.
sso-keyheader
Authorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
Match
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$Default
"my"X-Request-Id?stringA unique identifier for the request
Domains
application/json- body
domains?array<>Data provided for domain creates.
Returns an aggregate of each individual domain operation result. Results are keyed by domain name and provides errors, upserted domain and HTTP response code per operation.
application/json- response
[key: string]?curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/domains/$each/upsert' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "example1.com": { "code": 201, "domain": { "name": "example1.com", "createdAt": "2006-01-02T15:04:05Z", "updatedAt": "2006-01-02T15:04:05Z", "listStatus": "ACTIVE", "featured": false, "hidden": false, "buynowPrice": 500000000, "floorPrice": 0, "minbidPrice": 20000000, "maxLeasePeriod": 2, "leasingEnabled": false, "intakeStyle": "BUYNOW", "showLanderMakeOfferOption": false, "showLanderLeaseToOwnOption": true, "showLanderBuynowOption": true, "landingPage": "PARKING_TYPE" } }, "example2.com": { "code": 200, "domain": { "name": "example2.com", "createdAt": "2006-01-02T15:04:05Z", "updatedAt": "2006-01-02T15:04:05Z", "listStatus": "ACTIVE", "featured": false, "hidden": false, "buynowPrice": 500000000, "floorPrice": 0, "minbidPrice": 20000000, "maxLeasePeriod": 2, "leasingEnabled": false, "intakeStyle": "BUYNOW", "showLanderMakeOfferOption": false, "showLanderLeaseToOwnOption": true, "showLanderBuynowOption": true, "landingPage": "PARKING_TYPE" } }, "example3.com": { "code": 422, "error": { "code": "VALIDATION_ERROR", "message": "Unable to process request due to validation errors" } }}